---
title: How to Use an Axe
---

The old backwoodsmen were as expert with their axes as they were with
their rifles and they were just as careful in the selection of these tools
as they were in the selection of their arms. Many a time I have seen them
pick up a "store" axe, sight along the handle, and then cast it
contemptuously aside; they demanded of their axes that the cutting edge
should be exactly in line with the point in the centre of the butt end of
the handle. They also kept their axes so sharp that they could whittle
with them like one can with a good jack-knife; furthermore, they allowed
_no one_ but themselves to use their own particular axe. In my log house
in the mountains of Pike County, Pa., I have a table fashioned entirely
with an axe; even the ends of the boards which form the top of the table
were cut off by Siley Rosencranz with his trusty axe because he had no
saw.

Both General Grant and Abraham Lincoln were expert axemen, and probably a
number of other Presidents were also skillful in the use of this tool; but
it is not expected that the modern vacation pioneer shall be an expert,
consequently a few simple rules and suggestions will be here given to
guide the amateur and he must depend upon his own judgment and common
sense to work out the minor problems which will beset him in the use of
this tool.

## Dangers

All edged tools are dangerous when in the hands of "chumps," dangerous to
themselves and to any one else who is near them. For instance, only a
chump will use an axe when its head is loose and is in danger of flying
off the handle; only a chump will use his _best_ axe to cut roots or
sticks lying flat on the ground where he is liable to strike stones and
other objects and take the edge off the blade. Only a chump will leave an
axe lying around on the ground for people to stumble over; if there is a
stump handy at your camp and you are through using the axe, strike the
blade into the top of the stump and leave the axe sticking there, where it
will be safe from injury.

Remember, before chopping down a tree or before using the axe at all, to
see that there is enough space above and around you to enable you to swing
the axe clear without the danger of striking bushes or
overhanging branches which may deflect the blade and cause accidents more
or less serious.

Do not stand behind a tree as it falls, for the boughs may
strike those of a standing tree, causing the butt to shoot back or "kick,"
and many a woodsman has lost his life from the kick of a falling tree.
Before chopping a tree down, select the place where it is to fall, a place
where it will not be liable to lodge in another tree on its way down. Do
not try to fell a tree against the wind.

Cut a notch on the side of the tree facing the direction you wish it to
fall and cut it half-way through the trunk. Make the notch, or
kerf, large enough to avoid pinching your axe in it. If you discover that
the notch is going to be too small, cut a new notch, _X_, some
inches above your first one, then split off the piece _X_, _Y_ between the
two notches, and again make the notch _X_, _Z_, and split off the piece
_Z_, _W_, _Y_, until you make room for the axe to continue your
chopping. When the first kerf is finished begin another one on the
opposite side of the tree a little higher than the first one.
When the wood between the two notches becomes too small to support the
weight of the tree, the top of the tree will begin to tremble and waver
and give you plenty of time to step to one side before it falls.

If the tree is inclined in the opposite direction from which
you wish it to fall, it is sometimes possible to block up the
kerf on the inclined side and then by driving the wedge over the block
force the tree to fall in the direction desired; but if the tree inclines
too far this cannot be done.

There was a chestnut-tree standing close to my log house and leaning
toward the building. Under ordinary circumstances felling this tree would
cause it to strike the house with all the weight of its trunk and
branches. When I told Siley Rosencranz I wanted that tree cut down he
sighted up the tree, took a chew of tobacco, and walked away. For several
days he went through the same performance, until at last one day he
brought out his trusty axe and made the chips fly. Soon the chestnut was
lying prone on the ground _pointing away_ from the house. What this old
backwoodsman did was to wait until a strong wind had sprung up, blowing in
the direction that he wanted the tree to fall, and his skillful chopping
with the aid of the wind placed the tree exactly where he wished it.

Fig. 118 shows how to make the cuts on a standing tree in order to remove
the bark, which is done in the same manner as that described for removing
the birch bark.


## How to Split Logs, Make Shakes, Splits, or Clapboards

Logs are usually split by the use of wedges, but it is possible to split
them by the use of two axes. Fig. 119 shows both methods. To split with
the axe, strike it smartly into the wood at the small end so as to start a
crack, then sink the axe in the crack, _A_. Next take the second axe and
strike it in line with the first one at _B_. If this is done properly it
should open the crack wide enough to release the first axe without
trouble, which may then be struck in the log at _C_. In this manner it is
possible to split a straight-grained piece of timber without the use of
wedges. The first axe should be struck in at the smaller or top end of the
log. To split a log with wedges, take your axe in your left hand and a
club in your right hand and, by hammering the head of your axe with the
club, drive the blade into the small end of the log far enough to make a
crack deep enough to hold the thin edge of your wedges. Make this crack
all the way across the end of the log, as in Fig. 119. Put two wedges in
the end of the log, as in the diagram, and drive them until the wood
begins to split and crack along the sides of the log; then follow up this
crack with other wedges, as shown at _D_ and _E_, until the log is split
in half.

While ordinary wood splits easily enough with the grain, it is very
difficult to drive an axe through the wood at right angles to the grain,
as shown by diagram to the left; hence, if the amateur be
chopping wood, if he will strike a slanting blow, like the one to the
right in Fig. 120, he will discover that the blade of his axe will enter
the wood; whereas, in the first position, where he strikes the grain at
right angles, it will only make a dent in the wood and bounce the axe
back; but in striking a diagonal blow he must use care not to slant his
axe too far or the blade of the axe may only scoop out a shallow chip and
swing around, seriously injuring the axeman or some one else.

If it is desired to cut off the limb of a tree, do not disfigure the tree
by tearing the bark down; trees are becoming too scarce for us to injure
them unnecessarily; if you cut part way through the limb on the under-side
(see the right-hand diagram, Fig. 121) and then cut partly through from
the top side, the limb will fall off without tearing the bark down the
trunk; but if you cut only from the top (see left-hand diagram, Fig. 121),
sooner or later the weight of the limb will tear it off and make an ugly
wound down the front of the tree, which in time decays, makes a hollow,
and ultimately destroys the tree. A neatly cut branch, on the other hand,
when the stub has been sheared off close to the bark, will heal up,
leaving only an eye-mark on the bark to tell where the limb once grew.

If it is desired to chop a log up into shorter pieces, remember to stand
on the log to do your chopping, as in Fig. 122. This will do away with the
necessity of rolling the log over when you want to chop on the other side.
Do not forget to make the kerf, or notch, _C_, _D_ the same as _A_, _B_;
in other words, the distance across the notch should equal the diameter of
the log. If you start with too narrow a kerf, or notch, before you finish
you will be compelled to widen it.


To flatten a log you must _score and hew_ it. Scoring consists in making a
number of notches, _C_, _D_, _E_, _F_, _G_, _H_, _J_, etc., to the depth
of the line _A_, _B_ (Figs. 123 and 124); hewing it is the act of chopping
off or splitting off the pieces _A_, _C_ and _C_, _D_ and _D_, _E_, etc.,
leaving the surface flat, as shown by Fig. 125, which was known among the
pioneers as a puncheon and with which they floored their cabins before the
advent of the saw-mill and milled lumber.

Perhaps it will be advisable for the amateur to take a chalk-line and snap
it from _A_ to _B_, so that he may be certain to have the flat
surface level. The expert axeman will do this by what he calls
"sensiation." It might be well to say here that if you select for
puncheons wood with a straight grain and wood that will split easily you
will simplify your task, but even mean, stubborn wood may be flattened by
scoring and hewing. Quoting from Horace Kephart's excellent book on
woodcraft, an experienced man can tell a straight-grained log "by merely
scanning the bark"; if the ridges and furrows of the bark run straight up
and down the wood will have a corresponding straight grain, but if they
are spiral the wood will split "waney" or not at all. "Waney" is a good
word, almost as good as "sensiation"; so when you try to quarter a log
with which to chink your cabin or log house don't select a "waney" log. To
quarter a log split it as shown in Fig. 119 and split it along the dotted
lines shown in the end view of Fig. 126.

In the Maine woods the woodsmen are adepts in making shakes, splits,
clapboards, or shingles by the use of only an axe and splitting them out
of the billets of wood from four to six feet long. The core of the log is
first cut out and then the pieces are split out, having
wedge-shaped edges, as shown by the lines marked on Fig. 127. They also
split out boards after the manner shown by Fig. 128. In making either the
boards or the shakes, if it is found that the wood splinters down into the
body of the log too far or into the board or shake too far, you must
commence at the other end of the billet or log and split it up to meet the
first split, or take hold of the split or board with your hands and deftly
tear it from the log, an art which only experience can teach. I have seen
two-story houses composed of nothing but a framework with sides and roof
shingled over with these splits. In the West they call these "shake"
cabins.

It may be wise before we close this axeman's talk to caution the reader
against chopping firewood by resting one end of the stick to be cut on a
log and the other end on the ground, as shown in Fig. 131, and then
striking this stick a sharp blow with the axe in the middle. The effect of
this often is to send the broken piece or fragment gyrating through the
air, as is shown by the dotted lines, and many a woodchopper has lost an
eye from a blow inflicted by one of these flying pieces; indeed, I have
had some of my friends meet with this serious and painful accident from
the same cause, and I have seen men in the lumber fields who have been
blinded in a similar manner.

There are two sorts of axes in general use among the lumbermen; but the
double-bitted axe (131 _A_) appears to be the most popular among
lumberjacks. My readers, however, are not lumberjacks but campers, and a
double-bitted axe is a nuisance around camps. It is always dangerous and
even when one blade is sunk into the tree the other blade is sticking out,
a menace to everybody and everything that comes near it. But the real
old-fashioned reliable axe (131 _B_) is the one that is exceedingly useful
in a camp, around a country place, or a farm. I even have one now in my
studio closet here in the city of New York, but I keep it more for
sentiment's sake than for any real use it may be to me here.