---
title: Where to Find Mountain Goose and How to Pick and Use Its Feathers
---
It may be necessary for me to remind the boys that they must use the
material at hand in building their shacks, shelters, sheds, and shanties,
and that they are very fortunate if their camp is located in a country
where the mountain goose is to be found.


## The Mountain Goose

From Labrador down to the northwestern borders of New England and New York
and from thence to southwestern Virginia, North Carolina, and Tennessee,
the woodsman and camper may make their beds from the feathers of the
"mountain goose." The mountain goose is also found inhabiting the frozen
soil of Alaska and following the Pacific and the Rocky Mountains the Abies
make their dwelling-place as far south as Guatemala. Consequently, the
Abies, or mountain goose, should be a familiar friend of all the scouts
who live in the mountainous country, north, south, east, and west.


## Sapin--Cho-kho-tung

I forgot to say that the mountain goose (Figs. 1 and 2) is not a bird but
a tree. It is humorously called a goose by the woodsmen because they all
make their beds of its "feathers." It is the _sapin_ of the
French-Canadians, the _cho-kho-tung_ of the New York Indians, the balsam
of the tenderfoot, the Christmas-tree of the little folk, and that
particular Coniferæ known by the dry-as-dust botanist as Abies. There is
nothing in nature which has a wilder, more sylvan and charming perfume
than the balsam, and the scout who has not slept in the woods on a balsam
bed has a pleasure in store for him.


## Balsam

The leaves of the balsam are blunt or rounded at the ends and some of them
are even dented or notched in place of being sharp-pointed. Each spine or
leaf is a scant one inch in length and very flat; the upper part is
grooved and of a dark bluish-green color. The under-side is much lighter,
often almost silvery white. The balsam blossoms in April or May, and the
fruit or cones stand upright on the branches. These vary from two to four
inches in length. The balsam-trees are seldom large, not many of them
being over sixty feet high with trunks from one to less than three feet
through. The bark on the trunks is gray in color and marked with
horizontal rows of blisters. Each of these contains a small, sticky sap
like glycerine. Fig. 1 shows the cone and leaves of one of the Southern
balsams known as the she-balsam, and Fig. 2 shows the celebrated
balsam-fir tree of the north country, cone and branch.


## Balsam Beds

The balsam bed is made of the small twigs of balsam-trees. In gathering
these, collect twigs of different lengths, from eighteen inches long (to
be used as the foundation of the bed) to ten or twelve inches long (for
the top layer). If you want to rest well, do not economize on the amount
you gather; many a time I have had my bones ache as a result of being too
tired to make my bed properly and attempting to sleep on a thin layer of
boughs.

If you attempt to chop off the boughs of balsam they will resent your
effort by springing back and slapping you in the face. You can cut them
with your knife, but it is slow work and will blister your hands. Take
twig by twig with the thumb and fingers (the thumb on top, pointing toward
the tip of the bough, and the two forefingers underneath); press down with
the thumb, and with a twist of the wrist you can snap the twigs like
pipe-stems. Fig. 3 shows two views of the hands in a proper position to
snap off twigs easily and clean. The one at the left shows the hand as it
would appear looking down upon it; the one at the right shows the view as
you look at it from the side.


## Packing Boughs

After collecting a handful of boughs, string them on a stick which you
have previously prepared (Fig. 4). This stick should be of strong, green
hardwood, four or five feet long with a fork about six inches long left on
it at the butt end to keep the boughs from sliding off, and sharpened at
the upper end so that it can be easily poked through a handful of boughs.
String the boughs on this stick as you would string fish, but do it one
handful at a time, allowing the butts to point in different directions.
It is astonishing to see the amount of boughs you can carry when strung on
a stick in this manner and thrown over your shoulder as in Fig. 5. If you
have a lash rope, place the boughs on a loop of the rope, as in Fig. 6,
then bring the two ends of the rope up through the loop and sling the
bundle on your back.


## Clean Your Hands

When you have finished gathering the material for your bed your hands will
be covered with a sticky sap, and, although they will be a sorry sight, a
little lard or baking grease will soften the pitchy substance so that it
may be washed off with soap and water.


## How to Make Beds

To make your bed, spread a layer of the larger boughs on the ground;
commence at the head and shingle them down to the foot so that the tips
point toward the head of the bed, overlapping the butts (Fig. 7). Continue
this until your mattress is thick enough to make a soft couch upon which
you can sleep as comfortably as you do at home. Cover the couch with one
blanket and use the bag containing your coat, extra clothes, and sweater
for a pillow. Then if you do not sleep well, you must blame the cook.


## Other Bedding

If you should happen to be camping in a country destitute of balsam,
hemlock, or pine, you can make a good spring mattress by collecting small
green branches of any sort of tree which is springy and elastic. Build the
mattress as already described. On top of this put a thick layer of hay,
straw, or dry leaves or even green material, provided you have a rubber
blanket or poncho to cover the latter. In Kentucky I have made a mattress
of this description and covered the branches with a thick layer of the
purple blossoms of ironweed; over this I spread a rubber army blanket to
keep out the moisture from the green stuff and on top of this made my bed
with my other blankets. It was as comfortable a couch as I have ever slept
on; in fact, it was literally a bed of flowers.
