---
title: The Half-Cave Shelter
---
The first object of a roof of any kind is protection against the weather;
no shelter is necessary in fair weather unless the sun in the day or the
dampness or coolness of the night cause discomfort. In parts of the West
there is so little rain that a tent is often an unnecessary burden, but in
the East and the other parts of the country some sort of shelter is
necessary for health and comfort.

The original American was always quick to see the advantages offered by an
overhanging cliff for a camp site (Figs. 9, 10). His simple camps all
through the arid Southwest had gradually turned into carefully built
houses long before we came here. The overhanging cliffs protected the
buildings from the rain and weather, and the site was easily defended from
enemies. But while these cliff-dwellings had reached the dignity of
castles in the Southwest, in the Eastern States--Pennsylvania, for
instance--the Iroquois Indians were making primitive camps and using every
available overhanging cliff for that purpose.

To-day any one may use a pointed stick on the floor of one of these half
caves and unearth, as I have done, numerous potsherds, mussel shells, bone
awls, flint arrow-heads, split bones of large game animals, and the burnt
wood of centuries of camp-fires which tell the tale of the first lean-to
shelter used by camping man in America.


## Half Caves

The projecting ledges of bluestone that have horizontal seams form half
caves from the falling apart of the lower layers of the cliff caused by
rain and ice and often aided by the fine roots of the black birch, rock
oak, and other plants, until nature has worked long enough as a quarry-man
and produced half caves large enough to shelter a stooping man (Figs. 8,
9, and 10).

Although not always necessary, it is sometimes best to make a shelter for
the open face of such a cave, even if we only need it for a temporary camp
(Fig. 10); this may be done by resting poles slanting against the face of
the cliff and over these making a covering of balsam, pine, hemlock,
palmetto, palm branches, or any available material for thatch to shed the
rain and prevent it driving under the cliff to wet our bedding.


## Walls

It is not always necessary to thatch the wall; a number of green boughs
with leaves adhering may be rested against the cliffs and will answer for
that purpose. Set the boughs upside down so that they will shed the rain
and not hold it so as to drip into camp. Use your common sense and
gumption, which will teach you that all the boughs should point downward
and not upward as most of them naturally grow. I am careful to call your
attention to this because I lately saw some men teaching Boy Scouts how to
make camps and they were placing the boughs for the lads around the
shelter with their branches pointing upward in such a manner that they
could not shed the rain. These instructors were city men and apparently
thought that the boughs were for no other purpose than to give privacy to
the occupants of the shelter, forgetting that in the wilds the wilderness
itself furnishes privacy.

The half cave was probably the first lean-to or shelter in this country,
but overhanging cliffs are not always found where we wish to make our camp
and we must resort to other forms of shelter and the use of other material
in such localities.