---
title: "Signal-tower, Game Lookout, and More"
---
IF my present reader happens to be a Boy Scout or a scout-master who wants
the scouts to build a tower for exhibition purposes, he can do so by
following the directions here given, but if there is real necessity for
haste in the erection of this tower, of course we cannot build one as tall
as we might where we have more time. With a small tower all the joints may
be quickly lashed together with strong, heavy twine, rope, or even wire;
and in the wilderness it will probably be necessary to bind the joints
with pliable roots, or cordage made of bark or withes; but as this is not
a book on woodcraft we will suppose that the reader has secured the proper
material for fastening the joints of the frame of this signal-tower and he
must now shoulder his axe and go to the woods in order to secure the
necessary timber. First let him cut eight straight poles--that is, as
straight as he can find them. These poles should be about four and one
half inches in diameter at their base and sixteen and one half feet long.
After all the branches are trimmed off the poles, cut four more sticks
each nine feet long and two and a half or three inches in diameter at the
base; when these are trimmed into shape one will need twenty six or seven
more stout sticks each four and one half feet long for braces and for
flooring for the platform.


## Kite Frame

It being supposed that your timber is now all in readiness at the spot
where you are to erect the tower, begin by laying out on the ground what
we call the "kite frame." First take three of the four-and-one-half-foot
sticks, _A_, _B_, _C_ (Fig. 82), and two of the nine-foot sticks _D_ and
_E_ (Fig. 82), and, placing them on a level stretch of ground, arrange
them in the form of a parallelogram. Put _A_ for the top rail at the top
of the parallelogram and _C_ for the bottom of the parallelogram and let
them rest upon the sides _D_ and _E_, but put _B_ under the sides _D_ and
_E_. In order to bind these together securely, the ends of all the sticks
must be allowed to project a few inches. _B_ should be far enough below
_A_ to give the proper height for a railing around the platform. The
platform itself rests upon _B_. _A_ forms the top railing to the fence
around it.

Now take two of your sixteen-and-one-half-foot poles and place them
diagonally from corner to corner of the parallelogram with the small ends
of the poles lying over the ends of _A_ and the butt ends of the poles
extending beyond _C_, as in Fig. 82. Lash these poles securely in place.

Where the poles cross each other in the _X_, or centre, it is best to
flatten them some by scoring and hewing with a hatchet, but care must be
taken not to weaken them by scoring too deep. Next take your lash rope,
double it, run the loop down under the cross sticks, bring it up on the
other side, as in Fig. 83, then pull the two loose ends through the loop.
When they are drawn taut (Fig. 84), bend them round in opposite
directions--that is, bend the right-hand end of the rope to the right,
down and under the cross sticks, pull it out to the left, as in Fig. 84,
then bend the left-hand piece of rope to the left, down and under, pulling
it out to the right, as in Fig. 84. Next bring those two pieces up over
and tie them together in a square knot, as shown in Figs. 85 and 86.


Make a duplicate "kite" frame for the other side exactly as you made the
first one, and then arrange these two pieces on the ground with the cross
sticks _F_ and _F_ on the under-side and with their butt ends opposite the
butts of the similar poles on the other frame and about five feet apart.
Fasten a long line to the point where the two _F_ pieces cross each other
and detail a couple of scouts to hold each of the butt ends from slipping
by placing one of their feet against the butt, as in Fig. 82, while two
gangs of men or boys pull on the ropes and raise the kite frames to the
positions shown in Figs. 81 and 88.

Be careful, when raising the frames, not to pull them too far so that they
may fall on some unwary workman. When the frames are once erected it is an
easy matter to hold them in place by guy-ropes fastened to stones, stakes,
or trees or held by men or boys, while some of the shorter braces are
fastened to hold the two kite frames together, as in Fig. 90, wherein you
may see these short braces at the top and bottom. Next, the two other long
sticks, legs, or braces (_G_, _G_, Figs. 89 and 90) should be held
temporarily in position and the place marked where they cross each other
in the centre of the parallelogram which should be the same as it is on
the legs of the two kite frames. The _G_ sticks should now be lashed
together at the crossing point, as already described and shown by Figs.
83, 84, 85, and 86, when they may be put up against the sides, as in Fig.
89, in which diagram the _G_ poles are made very dark and the kite frames
indicated very lightly so as to better show their relative positions. Lash
the _G_ poles at the top and at the other points where they cross the
other braces and secure the framework by adding short braces, as indicated
in Fig. 90.


If all the parts are bound together with wire it will hold them more
securely than nails, with no danger of the poles splitting. A permanent
tower of this kind may be erected on which a camp may be built, as shown
in Fig. 87. It may be well to note that in the last diagram the tower is
only indicated by a few lines of the frame in order to simplify it and
prevent confusion caused by the multiplicity of poles.


## Boy-Scout Tower

If you desire to make a tower taller than the one described it would be
best, perhaps, to take the regular Boy-Scout dimensions as given by
Scout-master A. G. Clarke:

"Eight pieces 22 feet long, about 5 or 6 inches thick at the base; 4
pieces 6 feet long, about 3 or 4 inches thick at the base; 12 pieces 6
feet long, about 2½ or 3 inches thick at base; 12 or 15 pieces for braces
and platform about 6 feet long."

When putting together this frame it may be nailed or spiked, but care must
be used not to split the timber where it is nailed. With most wood this
may be avoided by driving the spikes or nails several inches back of the
ends of the sticks. To erect a flagpole or a wireless pole, cut the bottom
of the pole wedge-shaped, fit in the space between the cross poles, as in
Fig. 90 _A_, then lash it fast to the _B_ and _A_ pole, and, to further
secure it, two other sticks may be nailed to the _F_ poles, one on each
side, between which the bottom of the flagpole is thrust, as shown by Fig.
90 _A_.

The flooring of the platform must be securely nailed or lashed in place,
otherwise there may be some serious accident caused by the boys or men
falling through, a fall of about twenty and one half feet according to the
last measurements given for the frame.

An observatory of this kind will add greatly to the interest of a mountain
home or seaside home; it is a practical tower for military men to be used
in flag signalling and for improvised wireless; it is also a practical
tower for a lookout in the game fields and a delight to the Boy Scouts.