---
title: Tree-Top Houses
_template: page
---
By the natural process of evolution we have now arrived at the tree-top
house. It is interesting to the writer to see the popularity of this style
of an outdoor building, for, while he cannot lay claim to originating it,
he was the first to publish the working drawings of a tree-house. These
plans first appeared in _Harper's Round Table_; afterward he made others
for the _Ladies' Home Journal_ and later published them in "The Jack of
All Trades."

Having occasion to travel across the continent shortly after the first
plans were published, he was amused to see all along the route, here and
there in back-yard fruit-trees, shade-trees, and in forest-trees, queer
little shanties built by the boys, high up among the boughs.

In order to build a house one must make one's plans _to fit the tree_. If
it is to be a one-tree house, spike on the trunk two quartered pieces of
small log one on each side of the trunk (Figs. 91 and 92). Across these
lay a couple of poles and nail them to the trunk of the tree (Fig. 91);
then at right angles to these lay another pair of poles, as shown in the
right-hand diagram (Fig. 91). Nail these securely in place and support the
ends of the four poles by braces nailed to the trunk of the tree below.
The four cross-sills will then (Fig. 95) serve as a foundation upon which
to begin your work. Other joists can now be laid across these first and
supported by braces running diagonally down to the trunk of the tree, as
shown in Fig. 95. After the floor is laid over the joist any form of
shack, from a rude, open shed to a picturesque thatch-roofed cottage, may
be erected upon it. It is well to support the two middle rafters of your
roof by quartered pieces of logs, as the middle rafters are supported in
Fig. 95; by quartered logs shown in Fig. 92.


If the house is a two-tree house, run your cross-sill sticks from trunk to
trunk, as in Fig. 94; then make two T-braces, like the one in Fig. 94 _A_,
of two-inch planks with braces secured by iron straps, or use heavier
timber, and bolt the parts together securely (Fig. 93), or use logs and
poles (Fig. 94), after which hang these T's over the ends of your two
cross sticks, as in Fig. 94, and spike the uprights of the T's securely to
the tree trunks. On top of the T you can rest a two-by-four and support
the end by diagonals nailed to the tree trunk (Fig. 94) after the manner
of the diagonals in Fig. 95. You will note in Fig. 95 that cleats or
blocks are spiked to the tree below the end of the diagonals in order to
further secure them. It is sometimes necessary in a two-tree house to
allow for the movement of the tree trunks. In Florida a gentleman did this
by building his tree-house on the _B_ sills (Fig. 94) and making them
movable to allow for the play of the tree trunks. Fig. 96 shows a two-tree
house and Fig. 97 shows a thatch-roofed cottage built among the top
branches of a single tree.

It goes without saying that in a high wind one does not want to stay long
in a tree-top house; in fact, during some winds that I have experienced I
would have felt much safer had I been in a cyclone cellar; but if the
braces of a tree-house are securely made and the trees selected have good,
heavy trunks, your tree-top house will stand all the ordinary summer blows
and winter storms. One must remember that even one's own home is not
secure enough to stand some of those extraordinary gales, tornadoes, and
hurricanes which occasionally visit parts of our country.

Since I published the first plans of a tree-top house many people have
adopted the idea and built quite expensive structures in the boughs of the
trees. Probably all these buildings are intact at the present writing.

The boys at Lynn, Mass., built a very substantial house in the trees, and
the truant officer claimed that the lads hid away there so that they could
play "hookey" from school; but if this is true, and there seems to be some
doubt about it, it must be remembered that the fault was probably with
_the schools_ and not the boys, for boys who have ingenuity and grit
enough to build a substantial house in a tree cannot be bad boys;
industry, skill, and laborious work are not the attributes of the bad boy.

Some New York City boys built a house in the trees at One Hundred and
Sixty-ninth Street, but here the police interfered, claiming that it was
against a city ordinance to build houses in shade-trees, and maybe it is;
but, fortunately for the boys, there are other trees which may be used for
this purpose. There is now, or was recently, an interesting tree-house on
Flatbush Avenue, Brooklyn; a house so commodious that it was capable of
accommodating as many as fifteen people; but it was not as pretty and
attractive a tree-house as the one located at the foot of Mount Tamalpais,
in Mill Valley, San Francisco, which is built after the plan shown by Fig.
95. This California house is attached to the trunk of a big redwood tree
and is reached by a picturesque bridge spanning a rocky canyon.

Tree-houses are also used as health resorts, and recently there was a
gentleman of Plainfield, Mass., living in a tree-house because he found
the pure air among the leaves beneficial; while down in Ecuador another
man, who feared malarial mosquitoes and objected to wild beasts and
snakes, built himself a house on top of an ibo-tree, seventy feet from the
ground. This is quite a pretentious structure and completely hides and
covers the top of the tree. It is located on the banks of the Escondido
River; and in this tropical country, while it may be a safe retreat from
the pests enumerated, it might not be so safe from lightning in one of
those violent tropical storms. But it is probably as safe as any house in
that country, for one must take chances no matter what kind of a house one
dwells in.

Primitive and savage men all over the world for thousands of years have
built dwellings in tree tops. In the Philippines many natives live in
tree-top houses. The Kinnikars, hill-tribesmen of Travancore, India, are
said to live in houses built in the trees, but in New Guinea it seems that
such houses are only provided for the girls, and every night the dusky
lassies are sent to bed in shacks perched in the tree tops; then, to make
safety doubly safe, the watchful parents take away the ladders and their
daughters cannot reach the ground until the ladders are replaced in the
morning.

The most important thing about all this is that a tree-house is always a
source of delight to the boys and young people, and, furthermore, the boys
have over and over again proved to the satisfaction of the author that
they themselves are perfectly competent to build these shacks, and not
only to build them but to avoid accidents and serious falls while engaged
in the work.